Main Page Modules Class Hierarchy Compound List File List Compound Members

# sFieldWrapper Class Reference

`#include <cstruct.h>`

List of all members.

## Public Methods
| sFieldWrapper ()
virtual | ~sFieldWrapper ()
virtual const char* | fieldType ()=0
virtual void | getAsString (char *buf, int bufsize)=0
virtual void | setAsString (const char *value)=0

## Detailed Description

Supporting class for cStructDescriptor. Abstract base class. Subclasses can be used to represent FT_SPECIAL fields for a cStructDescriptor.

Additional getter/setter members will be necessary to make sFieldWrappers useful.

## Constructor & Destructor Documentation

sFieldWrapper::sFieldWrapper ( | )`[inline]`

| Constructor. In subclasses, the constructor will need to take a pointer to actual object or member it is wrapping, and store it in a private data member (also to be added in subclasses).

sFieldWrapper::~sFieldWrapper ( | )`[inline, virtual]`

| Destructor.

## Member Function Documentation

const char * sFieldWrapper::fieldType ( | )`[pure virtual]`

| Must be redefined in subclasses to return the type of the field as a string.

void sFieldWrapper::getAsString ( | char * buf,
| int bufsize )`[pure virtual]`

| Must be redefined in subclasses to return the value of the field as a string. Other (more specific) get..() methods will typically need to be added to the class to make it useful.

void sFieldWrapper::setAsString ( | const char * value )`[pure virtual]`

| Must be redefined in subclasses to set the value of the field as a string. Other (more specific) set..() methods will typically need to be added to the class to make it useful.

The documentation for this class was generated from the following file:

- cstruct.h